export declare class FileSystem {
    /**
     * 9.27MB
     * 1.07MB/9.27MB
     * 10.11% 1.07MB/9.27MB
     * 是否需要增加更多尺寸比如KB/GB等等
     */
    static getVisualFileSize(size: number): string;
    /**
    * 获得一个安全的文件名称
    * @param filename 待转换的文件名
    */
    static getSafeFileName(filename: string): string;
    static getSafeFileNameByList(filenameList: string[]): any[];
    static getMIMEByExtname(extname: string): any;
}
