export declare enum WEEK {
    MONDAY = 1,
    TUESDAY = 2,
    WEDNESDAY = 3,
    THURSDAY = 4,
    FRIDAY = 5,
    SATURDAY = 6,
    SUNDAY = 0
}
/**
 * 时间
 */
export interface ILarkDate {
    /**
     * 年
     */
    year?: number;
    /**
     * 月，0代表没有月份！
     */
    month?: number;
    /**
     * 日
     */
    day?: number;
    /**
     * 时
     */
    hour?: number;
    /**
     * 分
     */
    minutes?: number;
    /**
     * 秒
     */
    seconds?: number;
    /**
     * 毫秒
     */
    milliseconds?: number;
}
