/// <reference types="node" />
import * as HTTP from "http";
export declare const ERROR_UNSUPPORT_METHOD: {
    message: string;
    code: number;
};
export declare const ERROR_ROUTER_NOT_FOUND: {
    message: string;
    code: number;
};
export declare const ERROR_UNKNOW: {
    message: string;
    code: number;
};
export declare class WebServer {
    private httpServer;
    private httpsServer;
    private CONFIG;
    private controllerList;
    initCONFIG(): void;
    private controllerParser;
    controllerRouter(request: any): Promise<any>;
    router(request: HTTP.IncomingMessage, response: HTTP.ServerResponse): Promise<void>;
    /**
     * 启动服务
     */
    startup(): Promise<void>;
    listenHTTP(): Promise<{}>;
    addController(controller: any): this;
}
