import { Controller } from '../Web/Controller';
import { LarkResponse } from '../Web/LarkResponse';
export declare class LarkNSQTopicController extends Controller {
    uri: RegExp;
    /**
     * 获得一个未被消费的消息主题，且该主题比较新鲜
     */
    get(request: any, requestData: any): Promise<LarkResponse>;
    /**
     * 推送一个消息主题，如果具有消息id，则为修改消息的信息，比如修改状态，否则视为新增
     */
    post(request: any): Promise<void>;
}
