import { Collection, Db } from "mongodb";
export declare class MongoDB {
    static init(): Promise<void>;
    private static pool;
    private static mongodbList;
    private db;
    constructor(db: string);
    getDB(): Promise<Db>;
    getCollection(collectionName: string): Promise<Collection<any>>;
    getSequence(key: string, collectionName?: string): Promise<any>;
    close(): Promise<void>;
}
