import { Controller } from '../Controller';
import { LarkResponse } from '../LarkResponse';
import { IHTMLMetaElement, IHTMLLinkElement } from './PageController/PageControllerDto';
export declare class ReactPageController extends Controller {
    title: string;
    script: string[];
    style: string[];
    inlineStyle: string[];
    headScript: string[];
    meta: IHTMLMetaElement[];
    link: IHTMLLinkElement[];
    addStyle(url: string, remote?: boolean): this;
    addInlineStyle(style: string | {
        _getCss: () => string;
    }): void;
    addLink(link: IHTMLLinkElement): this;
    addMeta(meta: IHTMLMetaElement): this;
    addHeadScript(script: string): void;
    viewport(): void;
    addScript(href: string, remote?: boolean): this;
    render(Component: any, componentProps?: any): Promise<LarkResponse>;
}
