export declare const HOSTNAME = "lark.51kemao.com";
/**
 * HTTP端口号
 */
export declare const PORT: any;
/**
 * HTTPS端口号
 */
export declare const SSL_PORT: any;
/**
 * WebSocket端口号
 */
export declare const SOCKET: any;
/**
 * 最大BODY尺寸
 */
export declare const MAX_POST_BODY_SIZE_LIMIT = 10485760;
/**
 * HTTPS证书相关数据
 */
export declare const CERT = "-----BEGIN CERTIFICATE-----\nMIID1jCCAr4CCQCSM1eufhUZYjANBgkqhkiG9w0BAQsFADCBrDELMAkGA1UEBhMC\nQ04xCzAJBgNVBAgMAkJKMQswCQYDVQQHDAJCSjEhMB8GA1UECgwYSW50ZXJuZXQg\nV2lkZ2l0cyBQdHkgTHRkMQswCQYDVQQLDAJJVDEYMBYGA1UEAwwPKi5rZW1hby1p\nbmMuY29tMR8wHQYJKoZIhvcNAQkBFhBrZS5tYW9AbXRpbWUuY29tMRgwFgYDVR0R\nDA8qLmtlbWFvLWluYy5jb20wHhcNMTcwOTI2MDUwMjIwWhcNMjcwOTI0MDUwMjIw\nWjCBrDELMAkGA1UEBhMCQ04xCzAJBgNVBAgMAkJKMQswCQYDVQQHDAJCSjEhMB8G\nA1UECgwYSW50ZXJuZXQgV2lkZ2l0cyBQdHkgTHRkMQswCQYDVQQLDAJJVDEYMBYG\nA1UEAwwPKi5rZW1hby1pbmMuY29tMR8wHQYJKoZIhvcNAQkBFhBrZS5tYW9AbXRp\nbWUuY29tMRgwFgYDVR0RDA8qLmtlbWFvLWluYy5jb20wggEiMA0GCSqGSIb3DQEB\nAQUAA4IBDwAwggEKAoIBAQC5R16kvImOkdBrOFIbFF2JJ+NzH7EWG6wkF/fV0e0b\n6FO3apQVRfWkQ7t7XZzVqBCf5UvXOlnBNkbZCASMuIWuDrntYArvGt5Fa8ev0sr2\n7IJL4732i9fdh/cknIzm50wPApVXxHY4TdcnyQiy9gfEgF62HPNE9kRb4dgs4X++\nGbb5qY4WJO351BGW+nH/FEd43hM39J49COl57yoE7w3BwP+s94Pj4SyoJ/r8Es7s\nsW71Z8z1MoI2Or+Fapw8+q1Ob1gzEWUf3uT5LpqDso0KLV2y3Um7hGZp1uWKUxXL\nuAxk0h/KYhTpuN4cjnXl2Vig4Bt8hKH+sxXA0vn+t/jZAgMBAAEwDQYJKoZIhvcN\nAQELBQADggEBACfCYGZCd2ufffaRC+iGE9S1BcCy7spvxcOBgSg+QoLTjaNiKrL0\nwfFZ8lzJSf+PfsvGku9ZXNaVKHyCndCwyb2wifil5k072KmiC+n89Q7zSqQbgp9Y\niZAw1rYQm1MEHvbb0gP0USbJuF/wNbP+zY2RxQg7h9yBv+uPEXXmDceFFV+SvlRd\nZ3d7PAhvS1A79QpQnpz06RLqUSuMhZ5k5+CMoi6PRHZQC0qCnCWHz+SNDQb+W/y1\ng9VU3a7M8Lg/TtXvNGTCMBlWWdCMatt+Zs/nY3K/1w6j45DvDdjf7ueBvgLObDl2\nPmzBJ0Ln/EB6XxsRUw8pbdah+xbLcBAJPz0=\n-----END CERTIFICATE-----";
export declare const KEY = "-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEAuUdepLyJjpHQazhSGxRdiSfjcx+xFhusJBf31dHtG+hTt2qU\nFUX1pEO7e12c1agQn+VL1zpZwTZG2QgEjLiFrg657WAK7xreRWvHr9LK9uyCS+O9\n9ovX3Yf3JJyM5udMDwKVV8R2OE3XJ8kIsvYHxIBethzzRPZEW+HYLOF/vhm2+amO\nFiTt+dQRlvpx/xRHeN4TN/SePQjpee8qBO8NwcD/rPeD4+EsqCf6/BLO7LFu9WfM\n9TKCNjq/hWqcPPqtTm9YMxFlH97k+S6ag7KNCi1dst1Ju4RmadblilMVy7gMZNIf\nymIU6bjeHI515dlYoOAbfISh/rMVwNL5/rf42QIDAQABAoIBADVCbdNfGw+vnMDl\njLyaCxU9MSXLy2T2iXJKrYR6dvVZwI7uBSlkVetlSQR6cXX9fOHp0PZKoLhouM70\nfhJRjKPvOcUhoaMADzrXc6x4JL38WKwmCFpR8riMuB9/HQXXIUcDUBjNscoXniyi\nnmyLSspSuGcTRV7ih939ut2T6NulHWXef7sxXIFWaCNmavMGFJ+TfzyGwVKBVrHN\nCSU6G1jHw8yuT+53+anhG+P7V80//xi6IIiIleWU4YxHE9qa8k9t6nK09wXhsFBm\nFc7lwD7a9pEzw0V0MSydEQSFZ9uUJRT4lZeLvqROSxBEM1y4hY8B+FQOQROd+SNu\nXYhiyr0CgYEA4j3ZSAcStn9gyLFyuHU/bTJhtlWUpUMI9WOM2t947e2h97kCLTKz\nvM/6igTdTEI00eiOmYDZ+aUFkjaFFORyQIierKz5cof7JYFM8PICYjd+8HY1w3Go\nntlNTRos5FtAKlxBybvwlc/7JgFAaTLTSwQDZNpUgmTQrVmVk73fK7sCgYEA0aYx\n9KOHI52UItY/r4R2pWRrnD+pjuKQTg6kXX4ZEuTAnx9mfAmFDk5H+ES3b6kk64eJ\n+X03vN5M2NMDJosWCQaMmu/dB7ZjC6Hrf3UhYzHeR+R/yM2KpUvUPnHh/8yunBqP\nWaDmMd/hd2OYCEG/rD3XhJXlUKwQyjJU6JnLgnsCgYBMEwn9+0rijOBpe6mctug1\n+qv6mLpb+7eGdAwICP7r2m0NFGvT8OmZQsH3KP2Ux+pk7vMMUNR66m9+I9EKHmsA\noi/g1mUmiuz7RogtuOLuTcTkbItVheFyUJV6qKORwdFIrS79+7FBXucPd3pGJW4B\nGn9dqUCje+zjbW0rebwSQwKBgFnmYY+dPAr6vJY/t2mFbPc5W6fR6Ny7rNO8FaF9\nvDTM4QibB3BzCJp82QHOPbblGk7hfTn+BxO3Y86qlbRGejl+lHawGuD+xfQsB/dM\n+/c0YDQF+QHbmfON08K/RQFS/SE1hnkRtQR4E5AFpiEMSKwMjMlvGbmBP2XlNWHU\n6V7XAoGBANR8krqY0772OpSdCDWgm06t4uvIyTtpgDk5oCknbg94aIq5FmchV0oJ\nu0rbwjkWUv53/L9p70yDFPWhsFbU/GF8kMbvf2rjlrB8IyBiG318q1zhDNCG/yNx\nYiu/+oBQA1DYq7zpN+3hKDNdXKpHMfG3byc9NN0NdtpgLtPNDYFc\n-----END RSA PRIVATE KEY-----";
